SPI_ADD_DEVICE(9)

NAME
spi_add_device - Add spi_device allocated with spi_alloc_device

SYNOPSIS

int spi_add_device(struct spi_device * spi);

ARGUMENTS

spi
    spi_device to register

DESCRIPTION

Companion function to spi_alloc_device. Devices allocated with spi_alloc_device can be added onto the spi bus with this function.

Returns 0 on success; negative errno on failure

COPYRIGHT